# Packmangroup: Multimedia
# Packmanpackagename: libfame
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>Fast Assembly Mpeg Encoding library</p>
# Packmanpackagedesc_de: <p>Schnelle Assembler MPEG Encodingbibliothek</p>

%define lib       libfame
%define version   0.9.1
%define release   0.pm.9
%define major     1
%define libname   libfame%{major}

Name:           %{libname}
Summary:        Fast Assembly Mpeg Encoding library
Summary(de):    Schnelle Assembler MPEG Encodingbibliothek
Version:        %{version}
Release:        %{release}
License:        LGPL v2 or later
Group:          System/Libraries
URL:            http://fame.sourceforge.net

Source0:        libfame-0.9.1.tar.bz2

Patch0:         libfame-0.9.1-gcc34-1.patch
Patch1:         libfame-0.9.1-underquoted-definition.patch
BuildRoot:      %{_tmppath}/libfame-%{PACKAGE_VERSION}-root
AutoReqProv:    off
Provides:       %{lib} = %{version}-%{release}
Provides:       libfame-0.9.so.1
Obsoletes:      %{lib}
%ifarch x86_64 amd64 ia32e
Provides:       libfame-0.9.so.1()(64bit)
%endif

%description
FAME is a library for fast MPEG encoding.

%description -l de
FAME ist eine Bibliothek für schnelles MPEG-Encoding.

%package -n %{lib}-devel
Group:          Development/Libraries/C and C++
Summary:        Libraries and include to develop using FAME
Summary(de):    Bibliothek und Includes zum Entwicklen mit FAME
Requires:       %{libname} = %{version}-%{release}
Provides:       %{libname}-devel = %{version}-%{release}

%description -n %{lib}-devel
FAME is a library for fast MPEG encoding.

This is the libraries, include files and other resources you can use
to develop FAME applications.

%description -n %{lib}-devel -l de
FAME ist eine Bibliothek für schnelles MPEG-Encoding.

Dies ist die Bibliothek, Include-Dateien und andere Resourcen die zur
Entwicklung von Anwendungen, die FAME verwenden, benötigt werden.

%debug_package

%prep
%setup-q -n %{lib}-%{version}
%patch0 -p1
%patch1

%suse_update_config -f
%suse_update_libdir

%build
CFLAGS="${RPM_OPT_FLAGS}"
%if %suse_version >= 910
%if %suse_version <= 1000
  CFLAGS="${RPM_OPT_FLAGS} -fno-unit-at-a-time"
%endif
%endif

export CFLAGS

#%ifarch x86_64 amd64 ia32e
#cp /usr/share/automake-`rpm -q --queryformat '%{VERSION}' automake | cut -b 1-3`/config.sub .
#%endif

# Needed for snapshot releases.
if [ ! -f configure ]; then
  ./autogen.sh --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} --includedir=%{_includedir}
fi

%ifarch i686 x86_64 ia32e
%configure --enable-mmx
%else
%configure
%endif

%{__make} %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{libname}
%run_ldconfig

%postun -n %{libname}
%run_ldconfig

%files -n %{libname}
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_libdir}/lib*.so.*

%files -n %{lib}-devel
%defattr(-, root, root)
%{_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/fame*.h
%{_datadir}/aclocal/*
%{_mandir}/man3/*

%changelog
* Thu Apr 24 2008 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- some cleanups
* Mon May 08 2006 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- added a m4 macro patch, sent by Andreas Hanke
* Mon Apr 10 2006 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- added gcc patch
* Tue Mar 28 2006 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- don't use -fno-unit-at-a-time for SUSE 10.1 thanks for the
  hint to Philipp Thomas
* Sat Nov 27 2004 Detlef Reichelt <detlef@dreichtelt.de
- rebuild for x86_64
- get new config.sub from /usr/share/automake-1.9/config.sub
- add ./configure  --libdir=/usr/lib64
- add Provides:	libfame-0.9.so.1()(64bit)
* Thu Mar 27 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- added packman headers
* Mon Oct 07 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added german summary and description
* Mon Oct 07 2002 Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- changed manpages-directory and other path-corrections
